<template>
  <div class="Container">
    <div class="Container__menu">
      <div>
        <router-link class="Container__link" to="/">Home</router-link>
      </div>
      <div>
        <router-link class="Container__link" to="/sub">subscribe</router-link>
      </div>
    </div>
    <div class="Container__cart">
      <Carts />
    </div>
  </div>
</template>
<script>
import Carts from "../Carts";

export default {
  components: {
    Carts,
  },
};
</script>

<style lang="scss">
.Container {
  display: grid;
  grid-template-columns: 245px 825px;
  grid-column-gap: 20px;
  width: 100%;
  height: 100vh;
  background-color: #fff;
  justify-content: center;
  padding-top: 80px;

  &__link {
    text-decoration: none;
    color: black;
    cursor: pointer;

    &:hover{
      opacity: 0.7;
    }
  }

  &__menu {
    height: 100vh;
    background-color: white;
    text-align: center;
    color: black;
    font-family: sofiapro-semibold, PingFangSC, sans-serif;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    border-right: 0.5px solid rgba(22, 24, 35, 0.12);
  }

  &__cart {
    padding-left: 55px;
    padding-top: 25px;
    height: 100vh;
    background-color: white;
  }
}
</style>